import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import globalComponents from "./components";
import utils from "./utils";
import globalMixin from "./mixins";
import apis from "./api/funcs_modules";
import directives from "./directives";
Vue.config.productionTip = false;
//全局混入
Vue.mixin(globalMixin);
//全局工具箱
Vue.prototype.$utils = utils;
//全局组件
globalComponents();
// 统一api
Vue.prototype.$apis = apis;
// 指令注入
directives();


import moment from 'moment'
import 'moment/locale/zh-cn'
moment.locale('zh-cn')


new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount("#app");



